eth_getBalance
Returns the ETH balance of an address at a given block.
Parameters
Section titled “Parameters”| Position | Name | Type | Description |
|---|---|---|---|
| 1 | address | string | The 20-byte address to query. Required. |
| 2 | block | string | Block number in hex, or "latest", "pending", "safe", "finalized", "earliest". Pass "pending" on a Flashblocks endpoint for the pre-confirmed balance. Required. |
Returns
Section titled “Returns”| Field | Type | Description |
|---|---|---|
result | string | The balance in wei as a hexadecimal string. |
Example
Section titled “Example”Request
Section titled “Request”curl https://mainnet.base.org \ -X POST \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "eth_getBalance", "params": ["0x742d35Cc6634C0532925a3b8D4C9dD0b4f3BaEa", "latest"], "id": 1 }'curl https://mainnet-preconf.base.org \ -X POST \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "eth_getBalance", "params": ["0x742d35Cc6634C0532925a3b8D4C9dD0b4f3BaEa", "pending"], "id": 1 }'Response
Section titled “Response”{ "jsonrpc": "2.0", "id": 1, "result": "0x1a055690d9db80000"}